<?
include_once('clss_0.php') ;
class clss_4 extends clss_0
{

    function youtube_on_view($rec,$tkey,$pkey,$options,$cur_fname)
    {   $arr=parse_url($rec['file_name']) ;
        parse_str($arr['query'],$params) ;
        //$h=round($rec['w']*0.5625)  ;
        $h=round($rec['w']*0.63)  ;
        $text=($rec['file_name'])? '<iframe width="'.$rec['w'].'" height="'.$h.'" src="http://www.youtube.com/embed/'.$params['v'].'?rel=0" frameborder="0" allowfullscreen></iframe>':'' ;
        return($text) ;
    }

}


?>